Change log for android-platform-dalvik package in Debian

112 of 12 results
Published in buster-release on 2019-03-17
Published in sid-release on 2018-10-24
android-platform-dalvik (8.1.0+r23-2) unstable; urgency=medium

  * Install manpages pre-baked by pandoc. Pandoc as a B-D is thus unnecessary.
  * Fix FTCBFS by using dh_auto_build to invoke makefiles
  * Remove unused build-dependency libjarajr-java

 -- Kai-Chung Yan <email address hidden>  Wed, 24 Oct 2018 21:32:58 +0800

Available diffs

Superseded in sid-release on 2018-10-24
android-platform-dalvik (8.1.0+r23-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream release
  * Switch to Salsa
  * Remove get-orig-source
  * Fix missing-notice-file-for-apache-license

  [ Kai-Chung Yan ]
  * Standards-Version => 4.2.1
  * No longer build dmtracedump or dexdump in this package. They have been moved
    to android-platform-art.
  * Annotate Multi-Arch on all packages
  * Build hprof-conv on all architectures
  * dalvik-exchange:
    * Use the package upstream version as the JAR version
    * No longer build against dex.jar (Closes: #911103)
    * Fix some literal errors in the package description
    * Install mainDexClassesNoAapt.rules

 -- Kai-Chung Yan <email address hidden>  Wed, 24 Oct 2018 20:28:49 +0800
Deleted in buster-release (Reason: None provided.)
Deleted in buster-release (Reason: None provided.)
Deleted in buster-release (Reason: None provided.)
Published in stretch-release on 2017-05-08
Published in sid-release on 2017-04-26
android-platform-dalvik (7.0.0+r33-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <email address hidden>  Wed, 26 Apr 2017 20:00:06 +0200

Available diffs

Superseded in stretch-release on 2017-05-08
Superseded in sid-release on 2017-04-26
android-platform-dalvik (7.0.0+r1-4) unstable; urgency=medium

  * depend on proguard-cli to avoid including GUI deps (Closes: #856407)

 -- Hans-Christoph Steiner <email address hidden>  Fri, 10 Mar 2017 22:14:06 +0100

Available diffs

Superseded in stretch-release on 2017-03-21
Superseded in sid-release on 2017-03-11
android-platform-dalvik (7.0.0+r1-3) unstable; urgency=medium

  * android-libdex-dev Breaks & Replaces android-libdex because libdex.so was
    moved from android-libdex to android-libdex-dev (Closes: #848037)

 -- Kai-Chung Yan <email address hidden>  Wed, 14 Dec 2016 00:43:26 +0800

Available diffs

Superseded in sid-release on 2016-12-13
android-platform-dalvik (7.0.0+r1-2) unstable; urgency=medium

  * d/control:
    * dalvik-exchange Depends on proguard
    * Remove libandroid-jack-dx-java since Jack does not need it for now
  * No longer build shrinkedAndroid.jar but link to libandroid-23-java
    * dalvik-exchange Depends on libandroid-23-java (>= 6.0.1+r72-3~)
    * Remove the Built-Using field in dalvik-exchange
    * No loner Build-Depends on libandroid-23-java

 -- Kai-Chung Yan <email address hidden>  Fri, 09 Dec 2016 21:45:30 +0800

Available diffs

Superseded in sid-release on 2016-12-10
android-platform-dalvik (7.0.0+r1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude *.class
  * Include the source of dmtracedump in debian/additionalSrc
  * d/control:
    * Build-Depends on default-jdk-headless | default-jdk
    * Remove the useless default-jdk-doc from Build-Depends
    * Unify the maintainer name to "Android Tools Maintainers"
  * Set the dynamic ${BUILD_TOOLS_VERSION} to "debian"
  * No longer requires AndroidConfig.h
  * Update to debhelper 10
  * Let gradle-debian-helper generate Maven POMs
    * Build-Depends on gradle-debian-helper (>= 1.4~)
  * Enable builds for ARM & MIPS
  * Move libdex.so from android-libdex to android-libdex-dev
  * Build shrinkedAndroid.jar

 -- Kai-Chung Yan <email address hidden>  Wed, 07 Dec 2016 20:21:45 +0800

Available diffs

Superseded in stretch-release on 2016-12-24
Superseded in sid-release on 2016-12-09
android-platform-dalvik (6.0.1+r55-1) unstable; urgency=medium

  [ Kai-Chung Yan ]
  * d/control:
    - Build-Depends of C/C++ libraries are limited to [amd64 i386]
    - Move some Build-Depends to Build-Depends-Indep
    - Change dependency: libdex-java => libandroid-dex-java
    - Mention that dexdump on amd64 will not work
    - Standards-Version => 3.9.8 (no changes)
  * Add multi-arch support (Closes: #828958)
    - Depends on packages from src:android-platform-system-core >=
      1:6.0.1+r55-1~
  * dalvik-exchange: Install com.android.dx.jar instead of dx.jar into
    /usr/share/java
  * New package "libandroid-jack-dx-java" based on "dalvik-exchange"
    - Add libjarjar-java to Build-Depends
  * Remove the use of javahelper
  * Enable NDEBUG macro for all binaries

  [ Chirayu Desai ]
  * New upstream release
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz

 -- Kai-Chung Yan <email address hidden>  Sun, 21 Aug 2016 16:21:14 +0800

Available diffs

Deleted in stretch-release (Reason: None provided.)
Superseded in sid-release on 2016-08-22
android-platform-dalvik (6.0.1+r16-4) unstable; urgency=medium

  * remove Conflicts: dx (Closes: #814149, #815105)

 -- Hans-Christoph Steiner <email address hidden>  Tue, 23 Feb 2016 20:04:20 +0100

Available diffs

Superseded in sid-release on 2016-02-24
android-platform-dalvik (6.0.1+r16-3) unstable; urgency=medium

  * remove /usr/bin/dx symlink (Closes: #814149, #815105)
  * use only Build-Depends, not Build-Depends-Indep (Closes: #814202)
  * add myself to Uploaders

 -- Hans-Christoph Steiner <email address hidden>  Fri, 19 Feb 2016 22:33:55 +0100
Superseded in sid-release on 2016-02-20
android-platform-dalvik (6.0.1+r16-2) unstable; urgency=medium

  * Compatible with arch and indep builds (Closes: #814202):
    - d/rules: Separate indep and arch targets
    - d/control:
      - Move default-jdk to Build-Depends-Indep
      - Move android-platform-build-headers to Build-Depends
  * Use ${java:Depends} for Java dependencies:
    - d/control: Replace libdex-java with ${java:Depends}
    - d/dalvik-exchange.jlibs: Specify JARs for jh_depends
  * d/control:
    - Remove gradle from Build-Depends-Indep as unnecessary
    - Improve dalvik-exchange description
    - dalvik-exchange Conflicts with dx
  * Improve manpages
  * Remove update-alternatives usage

 -- Kai-Chung Yan <email address hidden>  Tue, 09 Feb 2016 14:19:58 +0800

Available diffs

Superseded in sid-release on 2016-02-18
android-platform-dalvik (6.0.1+r16-1) unstable; urgency=low

  * Initial release (Closes: #793614)

 -- Kai-Chung Yan <email address hidden>  Sat, 06 Feb 2016 01:59:14 +0800
112 of 12 results